Skip to main content
GET
/
custom-fields
/
{customFieldId}
Get a custom field definition
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields/{customFieldId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "label": "Industry",
    "type": "dropdown",
    "object_types": [
      "companies",
      "products"
    ],
    "options": {
      "choices": [
        "Retail",
        "Wholesale",
        "DTC"
      ],
      "minLength": 0,
      "maxLength": 255,
      "helpText": "Choose the primary sales channel"
    },
    "created_at": "2026-04-20T14:30:00Z",
    "updated_at": "2026-04-20T14:30:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

customFieldId
integer
required

The unique identifier of the custom field definition

Response

Custom field definition

data
object